diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 287420e..610d888 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -117137,7 +117137,7 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
         convert(sy: Sym)    == sy pretend %
         convert(n:  Int)    == n  pretend %
         convert(f:  Flt)    == f  pretend %
-        convert(e:  Expr)   == e  pretend %
+        convert(e:  Expr)   == e
 
         car b        == CAR(b)$Lisp
         cdr b        == CDR(b)$Lisp
diff --git a/buglist b/buglist
index 59cda3e..4abcce2 100644
--- a/buglist
+++ b/buglist
@@ -7088,29 +7088,6 @@ macros 30048:
       SETCAT-;latex;SS;2 is replaced by \mbox{\bf Unimplemented} 
 
 =========================================================================
-macros 30047:
-
-      SEXOF;#;$I;26 is replaced by LENGTH 
-      SEXOF;=;2$B;2 is replaced by EQUAL 
-      SEXOF;atom?;$B;5 is replaced by ATOM 
-      SEXOF;car;2$;24 is replaced by CAR 
-      SEXOF;cdr;2$;25 is replaced by CDR 
-      SEXOF;convert;Expr$;23 is replaced by e 
-      SEXOF;convert;Flt$;22 is replaced by f 
-      SEXOF;convert;Int$;21 is replaced by n 
-      SEXOF;convert;L$;18 is replaced by l 
-      SEXOF;convert;Str$;19 is replaced by st 
-      SEXOF;convert;Sym$;20 is replaced by sy 
-      SEXOF;eq;2$B;3 is replaced by EQ 
-      SEXOF;expr;$Expr;17 is replaced by b 
-      SEXOF;float?;$B;11 is replaced by RNUMP 
-      SEXOF;integer?;$B;10 is replaced by INTEGERP 
-      SEXOF;null?;$B;4 is replaced by NULL 
-      SEXOF;pair?;$B;6 is replaced by CONSP 
-      SEXOF;string?;$B;8 is replaced by STRINGP 
-      SEXOF;symbol?;$B;9 is replaced by IDENTP 
-
-=========================================================================
 macros 30046:
 
       SFORT;bodyOf is replaced by QVELTu2 
@@ -8233,14 +8210,6 @@ warnings 20502:
       [1] enterInCache:  pos has no value
 
 =========================================================================
-warnings 20501:
-
->compiling SEXOF.spad to SEXOF.nrlib
- 
-   Warnings: 
-      [1] convert: pretend$ -- should replace by @
-
-=========================================================================
 warnings 20500:
 
 >compiling STTAYLOR.spad to STTAYLOR.nrlib
@@ -40604,3 +40573,19 @@ macros 30143:
       [5] ^: pretend(Integer) -- should replace by @
       [6] interval: pretend(Integer) -- should replace by @
 
+fixed 20130313.05.tpd.patch
+=========================================================================
+macros 30047:
+
+      SEXOF;float?;$B;11 is replaced by RNUMP 
+
+fixed 20130313.06.tpd.patch
+=========================================================================
+warnings 20501:
+
+>compiling SEXOF.spad to SEXOF.nrlib
+ 
+   Warnings: 
+      [1] convert: pretend$ -- should replace by @
+
+
diff --git a/changelog b/changelog
index c2ffca3..e473103 100644
--- a/changelog
+++ b/changelog
@@ -1,8 +1,11 @@
+20130313 tpd src/axiom-website/patches.html 20130313.06.tpd.patch
+20130313 tpd buglist fix 20501, SEXOF pretend, 30047 RNUMP
+20130313 tpd books/bookvol10.3 fix 20501, SEXOF pretend
 20130313 tpd src/axiom-website/patches.html 20130313.05.tpd.patch
 20130313 tpd src/interp/vmlisp.lisp RNUMP removed
 20130313 tpd src/interp/sys-pkg.lisp RNUMP removed
 20130313 tpd src/interp/g-timer.lisp RNUMP removed
-20130313 tpd books/bookvol10.3 RNUMP removed
+20130313 tpd books/bookvol10.3 RNUMP removed fix 30047
 20130313 tpd src/axiom-website/patches.html 20130313.04.tpd.patch
 20130313 tpd books/bookvol10.3 INTRVL fix 20480, 30143
 20130313 tpd buglist INTRVL fix 20480, 30143
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1b1371c..b3649ae 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4025,5 +4025,7 @@ books/bookvol10.3 AFFSP fix 30230, 20495; introduce 60076
 books/bookvol10.3 INTRVL fix 20480, 30143
 <a href="patches/20130313.05.tpd.patch">20130313.05.tpd.patch</a>
 books/bookvol10.3 RNUMP removed
+<a href="patches/20130313.06.tpd.patch">20130313.06.tpd.patch</a>
+books/bookvol10.3 fix 20501, SEXOF pretend
  </body>
 </html>
